## javanet.staxutils.helpers
Class UnknownLocation

    java.lang.Object
      javanet.staxutils.helpers.UnknownLocation

All Implemented Interfaces:
  StaticLocation, Location

    public final class UnknownLocation

extends Object
implements Location, StaticLocation

`Location` used to represent unknown locations.

Version:
  $Revision: 1.1 $
Author:
  Christian Niles

Field Summary
`static UnknownLocation` `INSTANCE`

Constructor Summary
`UnknownLocation()`

Method Summary
`int` `getCharacterOffset()`
`int` `getColumnNumber()`
`int` `getLineNumber()`
`String` `getPublicId()`
`String` `getSystemId()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### INSTANCE

    public static final UnknownLocation INSTANCE

Constructor Detail

### UnknownLocation

    public UnknownLocation()

Method Detail

### getLineNumber

    public int getLineNumber()

  Specified by:
    `getLineNumber` in interface `Location`

### getColumnNumber

    public int getColumnNumber()

  Specified by:
    `getColumnNumber` in interface `Location`

### getCharacterOffset

    public int getCharacterOffset()

  Specified by:
    `getCharacterOffset` in interface `Location`

### getPublicId

    public String getPublicId()

  Specified by:
    `getPublicId` in interface `Location`

### getSystemId

    public String getSystemId()

  Specified by:
    `getSystemId` in interface `Location`